//---------------------------------Facebook----------------------------------

exports.facebook = function(navController){
	
var win1 = Titanium.UI.createWindow({  
    title:'MásMetroMX - Facebook',
    backgroundColor: '#000000',
      orientationModes: [
        Titanium.UI.PORTRAIT,
        Titanium.UI.UPSIDE_PORTRAIT,
        Titanium.UI.LANDSCAPE_LEFT,
        Titanium.UI.LANDSCAPE_RIGHT
    ],
});

var header = Titanium.UI.createButton({
		image:'metritomx.png'
});
win1.add(header);
header.addEventListener('click', function() { win1.close(); });


var imageThumbnail = Titanium.UI.createImageView({
    borderRadius:50, 
    backgroundColor: '#000',
    borderSize: 10,
});
win1.add(imageThumbnail);

var buttonSelectImage = Titanium.UI.createButton({
    title: 'Seleccionar Fotografía',
    backgroundImage: 'btnnaranja.png'
});

var dialog = Titanium.UI.createOptionDialog({
	title : 'Seleccione fotografía...',
	options : ['Cámara', 'Galería', 'Cancelar'],
	cancel : 2
});

buttonSelectImage.addEventListener('click', function(e) {
	dialog.show();
});

var verificafoto=0;
dialog.addEventListener('click', function(e) {

	if(e.index == 1) {

		Titanium.Media.openPhotoGallery({
			success : function(event) {
				selectedImage = event.media;
				if(event.mediaType == Ti.Media.MEDIA_TYPE_PHOTO) {
					imageThumbnail.image = selectedImage;
					verificafoto=1;
				}
			},
			cancel : function() {
			}
		});
	} else if(e.index == 0) {
		Titanium.Media.showCamera({
			success : function(event) {
				selectedImage = event.media;
				if(event.mediaType == Ti.Media.MEDIA_TYPE_PHOTO) {
					imageThumbnail.image = selectedImage;
					verificafoto=1;
				}
			},
			cancel : function() { },
			error : function(error) { var a = Titanium.UI.createAlertDialog({ title : 'Camera' });
				if(error.code == Titanium.Media.NO_CAMERA) { a.setMessage('Tu dispositivo no tiene camara');} 
				else { a.setMessage('Unexpected error: ' + error.code); }
				a.show(); },
			allowImageEditing : true,
			saveToPhotoGallery : false });
}

});
win1.add(buttonSelectImage);

var txtMessage = Titanium.UI.createTextArea({
    value: '',
    font: {fontSize: 15},
    borderStyle: 2,
    backgroundColor: '#fff'
});
win1.add(txtMessage);



//create your facebook session and post to fb 
function postToFacebook() {   
	//if the user is not logged in, do so, else post to wall 
	if(Titanium.Facebook.loggedIn == false) {
		//Titanium.Facebook.appid = '252235321506456';
		Titanium.Facebook.appid = '199142323517009';
		//Titanium.Facebook.appid = '257174271032332';
		
		Titanium.Facebook.permissions = ['publish_stream'];
		// Permissions your app needs
		Titanium.Facebook.addEventListener('login', function(e) {
			if(e.success) {
				alert('Has sido identificado en Facebook');
			} else if(e.error) {
				alert('Error: ' + e.error);
			} else if(e.cancelled) {
				alert('Ha cancelado la identificación con Facebook');
			}
		});
		
		//call the facebook authorize method to login
		Titanium.Facebook.authorize();
	} 
	else {
		// Now post the photo after you've confirmed that we have an access token
		var data = {
			//caption : 'I am posting a photo to my facebook page!',
			caption: txtMessage.value+" en la estación "+cajitaEstacion.value,
			//caption2: cajitaEstacion.value,
			picture : selectedImage
		};
		
		Titanium.Facebook.requestWithGraphPath('256934351054235/photos', data, "POST", function(e) {
		//Titanium.Facebook.requestWithGraphPath('256934351054235/photos', data, "POST", function(e) {
			
			 if (e.success) {
				 alert( "Tu Reporte ha sido enviado con éxito");
			 } 
			 else {
				 alert('Tu reporte no pudo ser enviado. Intente más tarde');
				 Ti.API.error(e.error);
			 }
		});
	} 
}


var etiquetaEstacion = Titanium.UI.createLabel({
	fontSize:30,
	fontFamily: 'Helvetica', color: '#FFF', text: 'Estacion:'
});
win1.add(etiquetaEstacion);

var etiquetaDescri = Titanium.UI.createLabel({
	fontSize:30, fontFamily: 'Helvetica', color: '#FFF', text: 'Comentario:'
});
win1.add(etiquetaDescri); 


var cajitaEstacion = Titanium.UI.createButton({
	title:'Estación',
	backgroundImage: 'btnazul.png'
});
win1.add(cajitaEstacion);

var data1=[{title:'Acatitla', hasChild:true, header:'A'},{title:'Aculco',hasDetail:true},{title:'Agrícola Oriental'},{title:'Allende'},{title:'Apatlaco'},{title:'Aquiles Serdán'},{title:'Aragón'},{title:'Atlalilco Linea 8'},{title:'Atlalilco Linea 12'},{title:'Auditorio'},{title:'Autobuses del Norte'},{title:'Azcapotzalco'},{title:'Balbuena', header:'B'},{title:'Balderas Linea 1'},{title:'Balderas Linea 3'},{title:'Barranca del Muerto'},{title:'Bellas Artes Linea 2'},{title:'Bellas Artes Linea 8'},{title:'Bondojito'},{title:'Bosque de Aragón'},{title:'Boulevard Puerto Aéreo'},{title:'Buenavista'},{title:'Calle 11', header:'C'},{title:'Camarones'},{title:'Canal de San Juan'},{title:'Canal del Norte'},{title:'Candelaria Linea 1'},{title:'Candelaria Linea 4'},{title:'Centro Médico Linea 3'},{title:'Centro Médico Linea 9'},{title:'Cerro de la Estrella'},{title:'Chabacano Linea 2'},{title:'Chabacano Linea 8'},{title:'Chabacano Linea 9'},{title:'Chapultepec'},{title:'Chilpancingo'},{title:'Ciudad Azteca'},{title:'Ciudad Deportiva'},{title:'Colegio Militar'},{title:'Constitución de 1917'},{title:'Constituyentes'},{title:'Consulado Linea 4'},{title:'Consulado Linea 5'},{title:'Copilco'},{title:'Coyoacán'},{title:'Coyuya'},{title:'Cuatro Caminos'},{title:'Cuauhtémoc'},{title:'Cuitlahuac'},{title:'Culhuacan'},{title:'Deportivo 18 de Marzo Linea 3', header:'D'},{title:'Deportivo 18 de Marzo Linea 6'},{title:'Deportivo Oceanía'},{title:'División del Norte'},{title:'Doctores'},{title:'Ecatepec', header:'E'},{title:'Eduardo Molina'},{title:'Eje Central'},{title:'El Rosario Linea 6'},{title:'El Rosario Linea 7'},{title:'Ermita Linea 2'},{title:'Ermita Linea 12'},{title:'Escuadrón 201'},{title:'Etiopía / Plaza de la Transparencia'},{title:'Eugenia'},{title:'Ferrería', header:'F'},{title:'Fray Servando'},{title:'Garibaldi / Lagunilla Linea 8', header:'G'},{title:'Garibaldi / Lagunilla Linea B'},{title:'General Anaya'},{title:'Gómez Farías'},{title:'Guelatao'},{title:'Guerrero Linea 3'},{title:'Guerrero Linea B'},{title:'Hangares', header:'H'},{title:'Hidalgo Linea 2'},{title:'Hidalgo Linea 3'},{title:'Hospital 20 de Noviembre'},{title:'Hospital General'},{title:'Impulsora', header:'I'},{title:'Indios Verdes'},{title:'Instituto del Petróleo Linea 5'},{title:'Instituto del Petróleo Linea 6'},{title:'Insurgentes'},{title:'Insurgentes Sur'},{title:'Isabel la Católica'},{title:'Iztacalco'},{title:'Iztapalapa'},{title:'Jamaica Linea 4', header:'J'},{title:'Jamaica Linea 9'},{title:'Juanacatlán'},{title:'Juárez'},{title:'La Paz', header:'L'},{title:'La Raza Linea 3'},{title:'La Raza Linea 5'},{title:'La Viga'},{title:'La Villa-Basílica'},{title:'Lagunilla'},{title:'Lázaro Cárdenas'},{title:'Lindavista'},{title:'Lomas Estrella'},{title:'Los Reyes'},{title:'Martín Carrera Linea 4', header:'M'},{title:'Martín Carrera Linea 6'},{title:'Merced'},{title:'Mexicaltzingo'},{title:'Miguel Angel de Quevedo'},{title:'Misterios'},{title:'Mixcoac Linea 7'},{title:'Mixcoac Linea 12'},{title:'Mixiuhca'},{title:'Moctezuma'},{title:'Morelos Linea 4'},{title:'Morelos Linea B'},{title:'Muzquiz'},{title:'Nativitas', header:'N'},{title:'Nezahualcóyotl'},{title:'Niños Héroes'},{title:'Nopalera'},{title:'Normal'},{title:'Norte 45'},{title:'Obrera', header:'O'},{title:'Observatorio'},{title:'Oceanía Linea 5'},{title:'Oceanía Linea B'},{title:'Olímpica'},{title:'Olivos'},{title:'Panteones', header:'P'},{title:'Pantitlán Linea 1'},{title:'Pantitlán Linea 5'},{title:'Pantitlán Linea 9'},{title:'Pantitlán Linea A'},{title:'Parque de los Venados'},{title:'Patriotismo'},{title:'Peñón Viejo'},{title:'Periferico Oriente'},{title:'Pino Suárez Linea 1'},{title:'Pino Suárez Linea 2'},{title:'Plaza Aragón'},{title:'Polanco'},{title:'Politécnico'},{title:'Popotla'},{title:'Portales'},{title:'Potrero'},{title:'Puebla'},{title:'R. Flores Magón', header:'R'},{title:'Refinería'},{title:'Revolución'},{title:'Río de los Remedios'},{title:'Romero Rubio'},{title:'Salto del Agua Linea 1', header:'S'},{title:'Salto del Agua Linea 8'},{title:'San Andres Tomatlan'},{title:'San Antonio'},{title:'San Antonio Abad'},{title:'San Cosme'},{title:'San Joaquín'},{title:'San Juan de Letrán'},{title:'San Lázaro Linea 1'},{title:'San Lázaro Linea B'},{title:'San Pedro de los Pinos'},{title:'Santa Anita Linea 4'},{title:'Santa Anita Linea 8'},{title:'Santa Marta'},{title:'Sevilla'},{title:'Tacuba Linea 2', header:'T'},{title:'Tacuba Linea 7'},{title:'Tacubaya Linea 1'},{title:'Tacubaya Linea 7'},{title:'Tacubaya Linea 9'},{title:'Talismán'},{title:'Tasqueña'},{title:'Tepalcates'},{title:'Tepito'},{title:'Terminal Aérea'},{title:'Tezonco'},{title:'Tezozomoc'},{title:'Tlahuac'},{title:'Tlaltenco'},{title:'Tlatelolco'},{title:'UAM-I', header:'U'},{title:'Universidad'},{title:'Valle Gómez', header:'V'},{title:'Vallejo'},{title:'Velódromo'},{title:'Viaducto'},{title:'Villa de Aragón'},{title:'Villa de Cortés'},{title:'Viveros / Derechos Humanos'},{title:'Xola', header:'X'},{title:'Zapata Linea 3', header:'Z'},{title:'Zapata Linea 12'},{title:'Zapotitlan'},{title:'Zaragoza'},{title:'Zócalo'}];
var nombres;
nombres=new Array('Acatitla','Aculco','Agrícola Oriental','Allende','Apatlaco','Aquiles Serdán','Aragón','Atlalilco Linea 8','Atlalilco Linea 12','Auditorio','Autobuses del Norte','Azcapotzalco','Balbuena','Balderas Linea 1','Balderas Linea 3','Barranca del Muerto','Bellas Artes Linea 2','Bellas Artes Linea 8','Bondojito','Bosque de Aragón','Boulevard Puerto Aéreo','Buenavista','Calle 11','Camarones','Canal de San Juan','Canal del Norte','Candelaria Linea 1','Candelaria Linea 4','Centro Médico Linea 3','Centro Médico Linea 9','Cerro de la Estrella','Chabacano Linea 2','Chabacano Linea 8','Chabacano Linea 9','Chapultepec','Chilpancingo','Ciudad Azteca','Ciudad Deportiva','Colegio Militar','Constitución de 1917','Constituyentes','Consulado Linea 4','Consulado Linea 5','Copilco','Coyoacán','Coyuya','Cuatro Caminos','Cuauhtémoc','Cuitlahuac','Culhuacan','Deportivo 18 de Marzo Linea 3','Deportivo 18 de Marzo Linea 6','Deportivo Oceanía','División del Norte','Doctores','Ecatepec','Eduardo Molina','Eje Central','El Rosario Linea 6','El Rosario Linea 7','Ermita Linea 2','Ermita Linea 12','Escuadrón 201','Etiopía / Plaza de la Transparencia','Eugenia','Ferrería','Fray Servando','Garibaldi / Lagunilla Linea 8','Garibaldi / Lagunilla Linea B','General Anaya','Gómez Farías','Guelatao','Guerrero Linea 3','Guerrero Linea B','Hangares','Hidalgo Linea 2','Hidalgo Linea 3','Hospital 20 de Noviembre','Hospital General','Impulsora','Indios Verdes','Instituto del Petróleo Linea 5','Instituto del Petróleo Linea 6','Insurgentes','Insurgentes Sur','Isabel la Católica','Iztacalco','Iztapalapa','Jamaica Linea 4','Jamaica Linea 9','Juanacatlán','Juárez','La Paz','La Raza Linea 3','La Raza Linea 5','La Viga','La Villa-Basílica','Lagunilla','Lázaro Cárdenas','Lindavista','Lomas Estrella','Los Reyes','Martín Carrera Linea 4','Martín Carrera Linea 6','Merced','Mexicaltzingo','Miguel Angel de Quevedo','Misterios','Mixcoac Linea 7','Mixcoac Linea 12','Mixiuhca','Moctezuma','Morelos Linea 4','Morelos Linea B','Muzquiz','Nativitas','Nezahualcóyotl','Niños Héroes','Nopalera','Normal','Norte 45','Obrera','Observatorio','Oceanía Linea 5','Oceanía Linea B','Olímpica','Olivos','Panteones','Pantitlán Linea 1','Pantitlán Linea 5','Pantitlán Linea 9','Pantitlán Linea A','Parque de los Venados','Patriotismo','Peñón Viejo','Periferico Oriente','Pino Suárez Linea 1','Pino Suárez Linea 2','Plaza Aragón','Polanco','Politécnico','Popotla','Portales','Potrero','Puebla','R. Flores Magón','Refinería','Revolución','Río de los Remedios','Romero Rubio','Salto del Agua Linea 1','Salto del Agua Linea 8','San Andres Tomatlan','San Antonio','San Antonio Abad','San Cosme','San Joaquín','San Juan de Letrán','San Lázaro Linea 1','San Lázaro Linea B','San Pedro de los Pinos','Santa Anita Linea 4','Santa Anita Linea 8','Santa Marta','Sevilla','Tacuba Linea 2','Tacuba Linea 7','Tacubaya Linea 1','Tacubaya Linea 7','Tacubaya Linea 9','Talismán','Tasqueña','Tepalcates','Tepito','Terminal Aérea','Tezonco','Tezozomoc','Tlahuac','Tlaltenco','Tlatelolco','UAM-I','Universidad','Valle Gómez','Vallejo','Velódromo','Viaducto','Villa de Aragón','Villa de Cortés','Viveros / Derechos Humanos','Xola','Zapata Linea 3','Zapata Linea 12','Zapotitlan','Zaragoza','Zócalo');

var dialog2 = Titanium.UI.createOptionDialog();

cajitaEstacion.addEventListener('click',function(e)
{
	var root = Ti.UI.createView({});
	var view = Ti.UI.createView({});
	
	var tf1 = Titanium.UI.createTextField({
	color:'#336699',height:40, width:40, top:1, left:5});
	
	var etiquetaFiltro = Titanium.UI.createLabel({
	top:1, left:48, width: 'auto', height: 'auto', 
	fontSize:30,fontFamily: 'Helvetica', color: '#FFF', text: 'Ingrese la primera letra' });

	view.add(etiquetaFiltro);
	view.add(tf1);
	root.add(view);	

    dialog2.buttonNames = ['Ok'];
    dialog2.title = 'Estación';
	dialog2.androidView = root;
	dialog2.show();


	var tableview= Titanium.UI.createTableView();
	
	var iniciofiltro=0;
	function filtro()
	{
		switch((tf1.value).toUpperCase())
		{
			case  '': iniciofiltro= 0; 
						break;
			case  'A': iniciofiltro= 0; 
						break;
			case  'B': iniciofiltro= 12; 
						break;
			case  'C': iniciofiltro= 22; 
						break;
			case  'D': iniciofiltro= 50; 
						break;
			case  'E': iniciofiltro= 55; 
						break;
			case  'F': iniciofiltro= 65; 
						break;
			case  'G': iniciofiltro= 67; 
						break;
			case  'H': iniciofiltro= 74; 
						break;
			case  'I': iniciofiltro= 79; 
						break;
			case  'J': iniciofiltro= 88; 
						break;
			case  'L': iniciofiltro= 92; 
						break;
			case  'M': iniciofiltro= 102; 
						break;
			case  'N': iniciofiltro= 115; 
						break;
			case  'O': iniciofiltro= 121; 
						break;
			case  'P': iniciofiltro= 127; 
						break;
			case  'R': iniciofiltro= 145; 
						break;
			case  'S': iniciofiltro= 150; 
						break;
			case  'T': iniciofiltro= 165; 
						break;
			case  'U': iniciofiltro= 180; 
						break;
			case  'V': iniciofiltro= 182; 
						break;
			case  'X': iniciofiltro= 189; 
						break;
			case  'Z': iniciofiltro= 190; 
						break;
		}
		//Aqui decia 195 pero para que aparezca Zocalo
		var data=[196];
		for(var i=iniciofiltro;i<196;i++)
		{	data[i]= data1[i]; }

		tableview= Titanium.UI.createTableView({
	    data:data, top: 41, width : '100%', height: '80%',
		});
		view.add(tableview);	
		
	tableview.addEventListener('click',function(e)
	{
	cajitaEstacion.value = nombres[e.index+iniciofiltro];
	cajitaEstacion.title = nombres[e.index+iniciofiltro];
	dialog2.title = 'Estación: '+nombres[e.index+iniciofiltro];
	});
	
	}
	
	
	tf1.addEventListener('change', function(e)
	{	
		 // Ti.UI.Android.hideSoftKeyboard();  //------Linea android---------
		 if((tf1.value).length>1) tf1.value=(tf1.value).substring(2);
		 view.remove(tableview);
		 filtro(); 	
	 });
	
	tf1.addEventListener('click', function(e)
	{	tf1.value='';  });
	
});

	
var buttonFacebook = Titanium.UI.createButton({
    title: 'Enviar via Facebook',
    backgroundImage: 'btnverde.png'
});

buttonFacebook.addEventListener('click', function(e){
 if(verificafoto==1) { postToFacebook(); } 
 else { alert('Seleccione primero la imagen por favor'); }
});
win1.add(buttonFacebook);

function randomString(length,current){
 current = current ? current : '';
 return length ? randomString( --length , "abcdefghiklmnopqrstuvwxyz".charAt( Math.floor( Math.random() * 60 ) ) + current ) : current;
};

Ti.Gesture.addEventListener("orientationchange", function (event) {
	header.width='100%', header.height='20%', header.top='0%', header.left='0%'
	buttonSelectImage.width='45%', buttonSelectImage.height= '15%',buttonSelectImage.top='22%',buttonSelectImage.left='5%';
    buttonFacebook.width='45%', buttonFacebook.height= '15%',buttonFacebook.top='22%',buttonFacebook.left='50%';
    imageThumbnail.top ='40%', imageThumbnail.left ='25%',imageThumbnail.width ='45%',imageThumbnail.height ='28%';
    etiquetaEstacion.top ='70%', etiquetaEstacion.left ='5%';
    cajitaEstacion.top ='70%', cajitaEstacion.left ='30%',cajitaEstacion.width ='61%',cajitaEstacion.height ='10%';
    etiquetaDescri.top ='82%', etiquetaDescri.left ='5%';
    txtMessage.top ='82%', txtMessage.left ='30%',txtMessage.width ='60%',txtMessage.height ='16%';
    
    if (event.orientation === Ti.UI.LANDSCAPE_LEFT || event.orientation === Ti.UI.LANDSCAPE_RIGHT)
    {	
    header.width='36%', header.height='20%', header.top='0%', header.left='32%'
	buttonSelectImage.width='45%', buttonSelectImage.height= '15%',buttonSelectImage.top='22%',buttonSelectImage.left='5%';
    buttonFacebook.width='45%', buttonFacebook.height= '15%',buttonFacebook.top='22%',buttonFacebook.left='50%';
    imageThumbnail.top ='50%', imageThumbnail.left ='5%',imageThumbnail.width ='45%',imageThumbnail.height ='45%';
    etiquetaEstacion.top ='40%', etiquetaEstacion.left ='53%';
    cajitaEstacion.top ='50%', cajitaEstacion.left ='53%',cajitaEstacion.width ='42%',cajitaEstacion.height ='10%';
    etiquetaDescri.top ='60%', etiquetaDescri.left ='53%';
    txtMessage.top ='70%', txtMessage.left ='53%',txtMessage.width ='42%',txtMessage.height ='25%';
  
    }
}); 


prueba();

function prueba(){
	var ancho = Titanium.Platform.displayCaps.platformWidth;
	var alto = Titanium.Platform.displayCaps.platformHeight;
	
	header.width='100%', header.height='20%', header.top='0%', header.left='0%'
	buttonSelectImage.width='45%', buttonSelectImage.height= '15%',buttonSelectImage.top='22%',buttonSelectImage.left='5%';
    buttonFacebook.width='45%', buttonFacebook.height= '15%',buttonFacebook.top='22%',buttonFacebook.left='50%';
    imageThumbnail.top ='40%', imageThumbnail.left ='25%',imageThumbnail.width ='45%',imageThumbnail.height ='28%';
    etiquetaEstacion.top ='70%', etiquetaEstacion.left ='5%';
    cajitaEstacion.top ='70%', cajitaEstacion.left ='30%',cajitaEstacion.width ='61%',cajitaEstacion.height ='10%';
    etiquetaDescri.top ='82%', etiquetaDescri.left ='5%';
    txtMessage.top ='82%', txtMessage.left ='30%',txtMessage.width ='60%',txtMessage.height ='16%';

    if (ancho>alto)
    {	
    header.width='36%', header.height='20%', header.top='0%', header.left='32%'
	buttonSelectImage.width='45%', buttonSelectImage.height= '15%',buttonSelectImage.top='22%',buttonSelectImage.left='5%';
    buttonFacebook.width='45%', buttonFacebook.height= '15%',buttonFacebook.top='22%',buttonFacebook.left='50%';
    imageThumbnail.top ='50%', imageThumbnail.left ='5%',imageThumbnail.width ='45%',imageThumbnail.height ='45%';
    etiquetaEstacion.top ='40%', etiquetaEstacion.left ='53%';
    cajitaEstacion.top ='50%', cajitaEstacion.left ='53%',cajitaEstacion.width ='42%',cajitaEstacion.height ='10%';
    etiquetaDescri.top ='60%', etiquetaDescri.left ='53%';
    txtMessage.top ='70%', txtMessage.left ='53%',txtMessage.width ='42%',txtMessage.height ='25%';
  
    }
	 
};



return  win1;
};